Loading...
Searching...
No Matches
casacore::LatticeHistSpecialize Class Reference
lattices package (libcasa_lattices) » LatticeMath_module

More...

`#include <LatticeHistSpecialize.h>`

## Static Public Member Functions

template<class T>
static void | makeCumulative (Vector< T > &counts, T &yMax, uInt nBins, typename NumericTraits< T >::BaseType scale)
| Make historgam cumulative.
static void | makeCumulative (Vector< Complex > &counts, Complex &yMax, uInt nBins, Float scale)
template<class T>
static void | makeLogarithmic (Vector< T > &counts, T &yMax, uInt nBins)
| Make histogram logarithmic.
static void | makeLogarithmic (Vector< Complex > &counts, Complex &yMax, uInt nBins)
static Float | mul (Float v1, Float v2)
| Multiply.
static Complex | mul (Complex v1, Complex v2)
static void | plot (PGPlotter &plot, Bool doGauss, Bool doCumu, Bool doLog, Float linearSum, Float yMax, Float binWidth, const Vector< Float > &values, const Vector< Float > &counts, const Vector< Float > &stats, uInt whereLabel, uInt ci, Bool page)
| Plot histograms.
static void | plot (PGPlotter &plot, Bool doGauss, Bool doCumu, Bool doLog, Complex linearSum, Complex yMax, Complex binWidth, const Vector< Complex > &values, const Vector< Complex > &counts, const Vector< Complex > &stats, uInt whereLabel, uInt ci, Bool page)
template<class T>
static void | process (const T *pInData, const Bool *pInMask, Block< T > *pHist, const Vector< T > &clip, T binWidth, uInt offset, uInt nrval, uInt nBins, uInt dataIncr, uInt maskIncr)
| Process data chunk creating histogram.
static void | process (const Complex *pInData, const Bool *pInMask, Block< Complex > *pHist, const Vector< Complex > &clip, Complex binWidth, uInt offset, uInt nrval, uInt nBins, uInt dataIncr, uInt maskIncr)
static Float | setBinWidth (Float dmin, Float dmax, uInt nBins)
| Set bin width.
static Complex | setBinWidth (Complex dmin, Complex dmax, uInt nBins)

## Static Private Member Functions

static uInt | bin (Float datum, Float min, Float width, uInt nBins)
static void | makeGauss (uInt &nGPts, Float &gMax, Vector< Float > &gX, Vector< Float > &gY, Float dMean, Float dSigma, Float dSum, Float xMin, Float xMax, Float binWidth, Bool doCumu, Bool doLog)
static void | plotHist (const Vector< Float > &x, const Vector< Float > &y, PGPlotter &plotter)

## Detailed Description

Specialized functions for LatticeHistograms

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- LatticeHistograms

### Etymology

Specialized code is type specific. This code is for LatticeHistograms.

### Synopsis

This class provides specialized static functions to handle Type dependent (Float, Complex) processing for LatticeHistograms. I couldn't do it all with templated functions.

### Motivation

Definition at line 68 of file LatticeHistSpecialize.h.

## Member Function Documentation

## bin()

uInt casacore::LatticeHistSpecialize::bin | ( | Float | datum,
|  | Float | min,
|  | Float | width,
|  | uInt | nBins )

static private

References casacore::min().

## makeCumulative() [1/2]

void casacore::LatticeHistSpecialize::makeCumulative | ( | Vector< Complex > & | counts,
|  | Complex & | yMax,
|  | uInt | nBins,
|  | Float | scale )

static

## makeCumulative() [2/2]

template<class T>

void casacore::LatticeHistSpecialize::makeCumulative | ( | Vector< T > & | counts,
|  | T & | yMax,
|  | uInt | nBins,
|  | typename NumericTraits< T >::BaseType | scale )

static

Make historgam cumulative.

## makeGauss()

void casacore::LatticeHistSpecialize::makeGauss | ( | uInt & | nGPts,
|  | Float & | gMax,
|  | Vector< Float > & | gX,
|  | Vector< Float > & | gY,
|  | Float | dMean,
|  | Float | dSigma,
|  | Float | dSum,
|  | Float | xMin,
|  | Float | xMax,
|  | Float | binWidth,
|  | Bool | doCumu,
|  | Bool | doLog )

static private

## makeLogarithmic() [1/2]

void casacore::LatticeHistSpecialize::makeLogarithmic | ( | Vector< Complex > & | counts,
|  | Complex & | yMax,
|  | uInt | nBins )

static

## makeLogarithmic() [2/2]

template<class T>

void casacore::LatticeHistSpecialize::makeLogarithmic | ( | Vector< T > & | counts,
|  | T & | yMax,
|  | uInt | nBins )

static

Make histogram logarithmic.

## mul() [1/2]

Complex casacore::LatticeHistSpecialize::mul | ( | Complex | v1,
|  | Complex | v2 )

static

## mul() [2/2]

Float casacore::LatticeHistSpecialize::mul | ( | Float | v1,
|  | Float | v2 )

static

Multiply.

Real and imaginary treated as independent C1*C2 = (r1*r2,i1*i2)

## plot() [1/2]

void casacore::LatticeHistSpecialize::plot | ( | PGPlotter & | plot,
|  | Bool | doGauss,
|  | Bool | doCumu,
|  | Bool | doLog,
|  | Complex | linearSum,
|  | Complex | yMax,
|  | Complex | binWidth,
|  | const Vector< Complex > & | values,
|  | const Vector< Complex > & | counts,
|  | const Vector< Complex > & | stats,
|  | uInt | whereLabel,
|  | uInt | ci,
|  | Bool | page )

static

References plot().

## plot() [2/2]

void casacore::LatticeHistSpecialize::plot | ( | PGPlotter & | plot,
|  | Bool | doGauss,
|  | Bool | doCumu,
|  | Bool | doLog,
|  | Float | linearSum,
|  | Float | yMax,
|  | Float | binWidth,
|  | const Vector< Float > & | values,
|  | const Vector< Float > & | counts,
|  | const Vector< Float > & | stats,
|  | uInt | whereLabel,
|  | uInt | ci,
|  | Bool | page )

static

Plot histograms.

References plot().

Referenced by plot(), and plot().

## plotHist()

void casacore::LatticeHistSpecialize::plotHist | ( | const Vector< Float > & | x,
|  | const Vector< Float > & | y,
|  | PGPlotter & | plotter )

static private

## process() [1/2]

void casacore::LatticeHistSpecialize::process | ( | const Complex * | pInData,
|  | const Bool * | pInMask,
|  | Block< Complex > * | pHist,
|  | const Vector< Complex > & | clip,
|  | Complex | binWidth,
|  | uInt | offset,
|  | uInt | nrval,
|  | uInt | nBins,
|  | uInt | dataIncr,
|  | uInt | maskIncr )

static

References casacore::offset().

## process() [2/2]

template<class T>

void casacore::LatticeHistSpecialize::process | ( | const T * | pInData,
|  | const Bool * | pInMask,
|  | Block< T > * | pHist,
|  | const Vector< T > & | clip,
|  | T | binWidth,
|  | uInt | offset,
|  | uInt | nrval,
|  | uInt | nBins,
|  | uInt | dataIncr,
|  | uInt | maskIncr )

static

Process data chunk creating histogram.

References casacore::offset().

## setBinWidth() [1/2]

Complex casacore::LatticeHistSpecialize::setBinWidth | ( | Complex | dmin,
|  | Complex | dmax,
|  | uInt | nBins )

static

## setBinWidth() [2/2]

Float casacore::LatticeHistSpecialize::setBinWidth | ( | Float | dmin,
|  | Float | dmax,
|  | uInt | nBins )

static

Set bin width.

For complex, real and imaginary treated separately

The documentation for this class was generated from the following file:

- lattices/LatticeMath/LatticeHistSpecialize.h